.loading_wrap {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: #ffffff; /* Adjust the background color */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

  .loader_logo {
    height: auto;
    width: 100px;
    margin-bottom: 20px;
    /* position: absolute;
    left: calc(50% - 50px);
    top: 38%; */
  }

  .loading {
    border: 3px solid rgba(99, 91, 255, 0.45);
    position: absolute;
    left: calc(50% - 40px);
    top: 50%;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    border-top-color: #635BFF;
    animation: loader 1s ease-in-out infinite;
    -webkit-animation: loader 1s ease-in-out infinite;
  }

/* HTML: <div class="loader"></div> */
.loader {
  height: 2px;
  width: 100px;
  border-radius: 10px;
  --c:no-repeat linear-gradient(#635BFF 0 0);
  background: var(--c),var(--c),#d7b8fc;
  background-size: 60% 100%;
  animation: l16 3s infinite;
}
@keyframes l16 {
  0%   {background-position:-150% 0,-150% 0}
  66%  {background-position: 250% 0,-150% 0}
  100% {background-position: 250% 0, 250% 0}
}

@keyframes loader {
  to {
    -webkit-transform: rotate(360deg);
  }
}

  @-webkit-keyframes loader {
    to {
      -webkit-transform: rotate(360deg);
    }
  }
  .layout-sidebar-large .main-header .logo {
    width: auto !important;
    height: auto !important;
  }
 
  .layout-sidebar-large .main-header .logo img {
    height: auto !important;
    width: 100% !important;
  }

  .layout-sidebar-large .main-header .logo img {
    height: auto !important;
    width: 110px !important;
  }

  @media (max-width: 576px) {
    .layout-sidebar-large .main-header .logo {
      width: auto !important;
      height: auto !important;
      max-width: 30% !important;
    }
   
    .layout-sidebar-large .main-header .logo img {
      height: auto !important;
      width: 100% !important;
    } 
  }

  .btn-primary {
    background-color: #635BFF !important;
    border-color: #635BFF !important;
    color: #fff;
  }
  .btn-outline-primary, .btn-primary {
    border-color: #635BFF !important;
  }
  .btn-outline-primary:hover {
    color: #fff !important;
    background-color: #635BFF !important;
  }
  .layout-sidebar-large .sidebar-left .navigation-left .nav-item {
    border-bottom: none !important;
  }
  .layout-sidebar-large .main-header {
    box-shadow: none !important;
    background: #f7f9ff !important;
  }
  .light-theme .layout-sidebar-large .main-content-wrap {
    background: #f7f9ff !important;
  }

  .layout-sidebar-large .sidebar-left .navigation-left .nav-item.active, .layout-sidebar-large .sidebar-left .navigation-left .nav-item.active .nav-item-hold {
    color: #fff !important;
    background: #635BFF;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
  }

  div.triangle {
    display: none;
  }
  .text-primary {
    color: #635BFF !important;
  }

  .card-icon-bg-primary [class^="i-"] {
    color: rgba(22, 77, 240, 0.28) !important;
  }

  .layout-sidebar-large .sidebar-left, .layout-sidebar-large .sidebar-left-secondary {
    box-shadow: none !important;
    background: #f7f9ff !important;
  }
  .separator-breadcrumb.border-top {
    border-top: none !important;
  }
  .vgt-wrap .vgt-inner-wrap {
    padding: 15px;
    border-radius: 15px;
    background: #fff;
  }
  .layout-sidebar-large .sidebar-overlay {
    cursor: auto !important;
  }

  #pos .card.o-hidden {
    width: 23% !important;
    max-width: 25% !important;
    min-width: 130px !important;
  }
  @media screen and (max-width: 768px) {
    #pos .card.o-hidden {
      width: 46% !important;
      max-width: 50% !important;
      min-width: 130px !important;
    }
  }
  
.scanner-btn {
  cursor: pointer;
  height: 45px;
  margin-left: 5px;
}
.customizer {
	top: 200px !important;
}
.auth-layout-wrap {
  background: url(/images/bg-6.jpg) !important;
  background-size: cover !important;
}
.badge-primary {
	color: #fff;
	background-color: #635BFF;
}
.register-link {
	margin-top: 20px;
	text-align: center;
	font-size: 14px;
}
.forgot-password {
	float: right;
	margin-bottom: 15px;
}
.login-greeting {
	text-align: left;
	font-size: 18px;
  font-weight: bold;
	margin-bottom: 1rem;
}
#login input.form-control {
	height: 45px;
}
#login button.btn-primary {
	height: 45px;
}

@media (max-width: 576px) {
  #login .card {
    box-shadow: none !important;
  }
  .auth-layout-wrap {
    background: none !important;
  }
  .auth-layout-wrap .auth-content {
    min-width: 100% !important;
    padding: 5px!important;
  }
}

/* Notification styling */
.b-toaster.b-toaster-top-right .b-toaster-slot, .b-toaster.b-toaster-bottom-right .b-toaster-slot, .b-toaster.b-toaster-top-center .b-toaster-slot, .b-toaster.b-toaster-bottom-center .b-toaster-slot {
  margin: auto !important;
}

.toast {
  background-color: rgba(255, 255, 255, 0.85) !important;
  border: 1px solid rgba(0, 0, 0, 0.1) !important;
  border-radius: 50px !important;
  padding: 7px 10px !important;
  font-size: 0.75rem !important;
}
.b-toast-danger.b-toast-solid .toast {
  background-color: #ffffff !important;
}
.b-toast-danger .toast .toast-header {
  background-color: #ffffff !important;
  border-bottom-color: #ffffff !important;
}
.b-toast-danger .toast {
  background-color: #fff !important;
}
.b-toast-success.b-toast-solid .toast {
  background-color: #ffffff !important;
}
.b-toast-success .toast .toast-header {
  background-color: #ffffff !important;
  border-bottom-color: #ffffff !important;
}
.b-toast-success .toast {
  background-color: #fff !important;
}
.toast-header {
  padding: 0 !important;
  text-align: center;
  display: block !important;
}
.toast-body {
  padding: 0.75rem;
  text-align: center;
  padding: 0 !important;
}
.close {
  position: absolute !important;
  top: 17px !important;
  right: 13px !important;
}
.password-toggle {
	position: absolute;
	right: 8px;
	top: 12px;
	background: transparent;
	padding: 0 !important;
	width: auto;
}